org.apache.cassandra.db.commitlog

## Class CommitLogReadHandler.CommitLogReadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.cassandra.db.commitlog.CommitLogReadHandler.CommitLogReadException

All Implemented Interfaces:
  java.io.Serializable

Enclosing interface:
  CommitLogReadHandler

    public static class CommitLogReadHandler.CommitLogReadException
    extends java.io.IOException

See Also:
  Serialized Form

### Field Summary

Fields
`boolean` `permissible`
`CommitLogReadHandler.CommitLogReadErrorReason` `reason`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### reason

    public final CommitLogReadHandler.CommitLogReadErrorReason reason

#### permissible

    public final boolean permissible